
# Aura Engine Configuration Guide

This page goes into detail on what is possible to configure within the engine.

## Soundcard

Configure your audio device in the `[soundcard]` section of `engine.ini`.

You can configure up to **five** line IN and OUT stereo channels. Your hardware should
support that. When you use JACK, you will see the additional elements popping up when
viewing your connections (with e.g. Patchage).

When you use ALSA, you will have to play around with ALSA settings. In the folder
`./modules/liquidsoap` is a scipt called alsa_settings_tester.liq. You can start it
with 'liquidsoap -v --debug alsa_settings_tester.liq'. Changing and playing with 
settings may help you to find correct ALSA settings.

## Recordings

You can configure up to **five** recorders in the `[recording]`.

## Streams

You can configure up to **five** streams in the `[streams]`.

## Fallbacks

Configure fallback handling in the `[fallback]` section.

## Database

Configure your engine database in the `[database]` section.

## Monitoring

Configure monitoring parameters in the `[monitoring]` section.

## Web User Interface

Configure the web interface in the `[web-ui]` section.

## Administrator Emails

Configure the email server for admin mails in the `[mail]` section.

## API Endpoints

Configure connections to the other Aura components in the `[dataurls]` section.

## Fading

Configure fading parameters in the `[fading]` section.

## Logging

Configure log handling in the `[logging]` section.

## User

Configure the executing system user in the `[user]` section.

## Socket

Configure socket connectivity in the `[socket]` section.

## Redis

Configure Redis connectivity in the `[redis]` section.
